#!/usr/bin/perl
#
#   Bluestem - University of Illinois WWW Identification Service
#
#   lb_login.cgi - Bluestem login helper CGI
#

use strict;
use warnings;

use lib "/var/www/bluestem-client/lib";
use Bluestem::CGIClient ();

my $cgi = CGI->new();
my $bsc = Bluestem::CGIClient->new(
	cgi => $cgi,
);

my $lb_prior = $cgi->param('lb_prior') || 60 * 30;
my $lb_msg = $cgi->param('lb_msg') || '';
$cgi->delete('lb_prior','lb_msg');

my $server_name = $cgi->server_name();
my $server_port = ":".$cgi->server_port();
$server_port = '' if $server_port eq ":443";
my $query_string = "?".$cgi->query_string()
	if $cgi->param();
my $path_info = $cgi->path_info();
$path_info =~ s{.*lb_relogin\.(pl|cgi)}{};
my $return_url = "https://$server_name$server_port".$path_info.$query_string;

$bsc->handle_login(
	prior => $lb_prior,
	return_url => $return_url,
);

exit 0;
